## ICalTimezonetype ICalTimezonetype |

## Functions

const gchar * | i_cal_timezonetype_get_tzid ()
const gchar * | i_cal_timezonetype_get_tzurl ()
ICalTimetype * | i_cal_timezonetype_get_last_mod ()
void | i_cal_timezonetype_set_last_mod ()

## Types and Values

#define | I_CAL_TIMEZONETYPE_TYPE
| ICalTimezonetype
struct | ICalTimezonetypeClass

## Description

## Functions

### i_cal_timezonetype_get_tzid ()

    const gchar *
    i_cal_timezonetype_get_tzid (ICalTimezonetype *timezonetype);

Get the tzid of ICalTimezonetype.

#### Parameters

timezonetype | The ICalTimezonetype. |

#### Returns

The tzid of `timezonetype` .

[transfer none]

Since: 1.0

### i_cal_timezonetype_get_tzurl ()

    const gchar *
    i_cal_timezonetype_get_tzurl (ICalTimezonetype *timezonetype);

Get the tzurl of ICalTimezonetype.

#### Parameters

timezonetype | The ICalTimezonetype. |

#### Returns

The tzurl of `timezonetype` .

[transfer none]

Since: 1.0

### i_cal_timezonetype_get_last_mod ()

    ICalTimetype *
    i_cal_timezonetype_get_last_mod (ICalTimezonetype *timezonetype);

Get the last_mod from ICalTimezonetype.

#### Parameters

timezonetype | The ICalTimezonetype. |

#### Returns

The last_mod of ICalTimezonetype.

[transfer full]

Since: 1.0

### i_cal_timezonetype_set_last_mod ()

    void
    i_cal_timezonetype_set_last_mod (ICalTimezonetype *timezonetype,
                                     ICalTimetype *last_mod);

Set the last_mod from ICalTimezonetype.

#### Parameters

timezonetype | The ICalTimezonetype. |
last_mod | The last_mod of ICalTimezonetype. |

Since: 1.0

## Types and Values

### I_CAL_TIMEZONETYPE_TYPE

    #define             I_CAL_TIMEZONETYPE_TYPE

### ICalTimezonetype

    typedef struct {
    } ICalTimezonetype;

This is the ICalTimezonetype instance.

### struct ICalTimezonetypeClass

    struct ICalTimezonetypeClass {
    };

This is the ICalTimezonetype class.